#
# spec file for package yast2-journal
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           yast2-journal
VCS: https://src.suse.de/SLFO-pool/yast2-journal#e7028354d9d5c498b3521330695340b0f6889e78ff967a2a6ff7965cba0a517c
Version:        4.6.0
Release:        160000.1.7
Group:          System/YaST
License:        GPL-2.0-only OR GPL-3.0-only
URL:            https://github.com/yast/yast-journal
Summary:        YaST2 - Reading of systemd journal

Source0:        %{name}-%{version}.tar.bz2

BuildRequires:  update-desktop-files
# Yast::Builtins::strftime
BuildRequires:  yast2-ruby-bindings >= 3.1.38
BuildRequires:  yast2
BuildRequires:  yast2-devtools >= 4.2.2
#for install task
BuildRequires:  rubygem(%{rb_default_ruby_abi}:yast-rake)
# for tests
BuildRequires:  rubygem(%{rb_default_ruby_abi}:rspec)
# First version with Yast::UI.OpenUI
BuildRequires:  libyui-ncurses >= 2.47.1
# libyui-terminal
BuildRequires:  libyui-ncurses-tools

# First version with base Dialog class
Requires:       yast2 >= 3.1.117
# Yast::Builtins::strftime
Requires:       yast2-ruby-bindings >= 3.1.38

BuildArch:      noarch

%description
A YaST2 module to read the systemd journal in a convenient and
user-friendly way.

%prep
%setup -q

%check
# Enable UI tests in headless systems like Jenkins
libyui-terminal rake test:unit

%install
%yast_install
%yast_metainfo

%files
%{yast_clientdir}
%{yast_libdir}
%{yast_desktopdir}
%{yast_metainfodir}
%{yast_icondir}
%doc COPYING
%doc README.md

%build

%changelog
* Fri Mar  3 2023 lslezak@suse.cz
- Bump version to 4.6.0 (bsc#1208913)
* Tue Oct  4 2022 mvidner@suse.com
- Fix Internal Error with systemd-251 again, the last change
  uncovered another case (bsc#1203956).
- 4.5.3
* Tue Sep 27 2022 mvidner@suse.com
- Localize date range in Change Filter dialog (B S Srinidhi,
  bsc#1081459)
- 4.5.2
* Mon Jul 18 2022 mvidner@suse.com
- Adapt to changed output of journalctl --list-boots,
  avoid Internal Error with systemd-251 (bsc#1201504).
- Abbreviate numeric array journal entries (bsc#1200613)
- 4.5.1
* Wed Apr  6 2022 lslezak@suse.cz
- Bump version to 4.5.0 (bsc#1198109)
* Mon Dec  6 2021 jreidinger@suse.com
- Prepare code for ruby3 (bsc#1193192)
- 4.4.1
* Tue Apr 20 2021 lslezak@suse.cz
- 4.4.0 (bsc#1185510)
* Thu Nov 19 2020 jreidinger@suse.com
- print properly help to avoid accidental opening of module by bash
  completion (bsc#1172340)
- 4.3.0
* Mon Aug 26 2019 schubi@suse.de
- Using rb_default_ruby_abi tag in the spec file in order to
  handle several ruby versions (bsc#1146403).
- 4.2.2
* Fri May 31 2019 hellcp@mailbox.org
- Add metainfo (fate#319035)
- Revamp spec
- Replace GenericName with Comment
- 4.2.1
* Tue May  7 2019 snwint@suse.com
- show more verbose message when journal can't be read (bsc#1132658)
- 4.2.0
* Fri Dec  7 2018 jreidinger@suse.com
- always use absolute path to binaries (bsc#1118291)
- properly escape shell arguments (bsc#1118291)
- 4.1.5
* Sun Nov 25 2018 hellcp@mailbox.org
- Provide icon with module (boo#1109310)
- 4.1.4
* Thu Oct 25 2018 mvidner@suse.com
- Adjust for libyui-ncurses-tools split (bsc#1113291)
- 4.1.3
* Tue Aug 28 2018 lslezak@suse.cz
- Do not crash when changing the filter as a non-root user
  (bsc#1089626)
- 4.1.2
* Tue Jun 26 2018 jlopez@suse.com
- Change namespace according to YaST naming conventions. Now this
  package uses Y2Journal (needed for fate#319428).
- 4.1.1
* Mon Jun 18 2018 jreidinger@suse.com
- Allow to reuse journal viewer from other yast modules
  (needed for bsc#1008493)
- 4.1.0
* Fri Apr  6 2018 mfilka@suse.com
- bnc#1087957 - version bump
- 4.0.0
* Tue Aug 29 2017 knut.anderssen@suse.com
- Escape special search query characters (bsc#1055500)
- 3.2.1
* Mon Mar 13 2017 ancor@suse.com
- Fixed RPM packaging error (bsc#1029088)
- 3.2.0
* Tue Aug 18 2015 ancor@suse.com
- Handle strange journal entries with non-textual messages
  (bnc#941655)
- 3.1.2
* Fri Jul 31 2015 ancor@suse.com
- Synced version numbering with the rest of YaST modules (last
  step for fate#318486).
- Enhancements in automated tests and code quality.
- 3.1.1
* Mon Jun 29 2015 ancor@suse.com
- Honor internationalization settings when displaying dates
  (improvements for fate#318486).
- 0.2.3
* Mon Jun  8 2015 ancor@suse.com
- Include the package in SLE12-SP1 fate#318486
* Fri Feb  6 2015 ancor@suse.com
- UI improvement: filters are activated on value changes
- Some cleanup in the strings for better internationalization
- Updated to use the latest version of the YaST libraries
- 0.2.2
* Tue Jan 27 2015 ancor@suse.com
- Only offer 'previous boot' as a time interval if there are really
  entries for such boot.
- Version 0.2.1
* Thu Dec  4 2014 ancor@suse.com
- New default interval in the filter: last 24 hours.
- Better handling of journalctl errors.
- Fixes in desktop file: moved to the proper YaST section (misc)
  and remove incorrect X-KDE-Library directive.
- Initial unit tests added.
- Version 0.2.0
* Tue Dec  2 2014 ancor@suse.com
- Initial prototype
